libetonyek::IWORKTable Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTable Class Reference

`#include <IWORKTable.h>`

## Classes
struct | Cell

## Public Types
enum | CellType { CELL_TYPE_BODY, CELL_TYPE_ALTERNATE_BODY, CELL_TYPE_COLUMN_HEADER, CELL_TYPE_ROW_HEADER, CELL_TYPE_ROW_FOOTER }

## Public Member Functions
| IWORKTable (const IWORKTableNameMapPtr_t &tableNameMap)
void | setRecorder (const boost::shared_ptr< IWORKTableRecorder > &recorder)
const boost::shared_ptr< IWORKTableRecorder > & | getRecorder () const
void | setSize (unsigned columns, unsigned rows)
void | setHeaders (unsigned headerColumns, unsigned headerRows, unsigned footerRows)
void | setBandedRows (bool banded=true)
void | setRepeated (bool columns, bool rows)
void | setStyle (const IWORKStylePtr_t &style)
void | setSizes (const IWORKColumnSizes_t &columnSizes, const IWORKRowSizes_t &rowSizes)
void | setBorders (const IWORKGridLineList_t &verticalLines, const IWORKGridLineList_t &horizontalLines)
void | insertCell (unsigned column, unsigned row, const boost::optional< std::string > &value=boost::none, const boost::shared_ptr< IWORKText > &text=boost::shared_ptr< IWORKText >(), unsigned columnSpan=1, unsigned rowSpan=1, const boost::optional< IWORKFormula > &formula=boost::none, const IWORKStylePtr_t &style=IWORKStylePtr_t(), IWORKCellType type=IWORK_CELL_TYPE_TEXT)
void | insertCoveredCell (unsigned column, unsigned row)
void | draw (const librevenge::RVNGPropertyList &tableProps, IWORKOutputElements &elements)
void | setDefaultCellStyle (CellType type, const IWORKStylePtr_t &style)
void | setDefaultLayoutStyle (CellType type, const IWORKStylePtr_t &style)
void | setDefaultParagraphStyle (CellType type, const IWORKStylePtr_t &style)
IWORKStylePtr_t | getDefaultCellStyle (unsigned column, unsigned row) const
IWORKStylePtr_t | getDefaultLayoutStyle (unsigned column, unsigned row) const
IWORKStylePtr_t | getDefaultParagraphStyle (unsigned column, unsigned row) const

## Private Types
typedef std::deque< Cell > | Row_t
typedef std::deque< Row_t > | Table_t

## Private Member Functions
IWORKStylePtr_t | getDefaultStyle (unsigned column, unsigned row, const IWORKStylePtr_t *group) const

## Private Attributes
const IWORKTableNameMapPtr_t | m_tableNameMap
Table_t | m_table
IWORKStylePtr_t | m_style
IWORKColumnSizes_t | m_columnSizes
IWORKRowSizes_t | m_rowSizes
IWORKGridLineList_t | m_verticalLines
IWORKGridLineList_t | m_horizontalLines
unsigned | m_rows
unsigned | m_columns
unsigned | m_headerRows
unsigned | m_footerRows
unsigned | m_headerColumns
bool | m_bandedRows
bool | m_headerRowsRepeated
bool | m_headerColumnsRepeated
IWORKStylePtr_t | m_defaultCellStyles [5]
IWORKStylePtr_t | m_defaultLayoutStyles [5]
IWORKStylePtr_t | m_defaultParaStyles [5]
boost::shared_ptr< IWORKTableRecorder > | m_recorder

## Member Typedef Documentation

typedef std::deque<Cell> libetonyek::IWORKTable::Row_t
| private

typedef std::deque<Row_t> libetonyek::IWORKTable::Table_t
| private

## Member Enumeration Documentation

enum libetonyek::IWORKTable::CellType

Enumerator
CELL_TYPE_BODY |
CELL_TYPE_ALTERNATE_BODY |
CELL_TYPE_COLUMN_HEADER |
CELL_TYPE_ROW_HEADER |
CELL_TYPE_ROW_FOOTER |

## Constructor & Destructor Documentation

libetonyek::IWORKTable::IWORKTable | ( | const IWORKTableNameMapPtr_t & | tableNameMap | ) |
| explicit

## Member Function Documentation

void libetonyek::IWORKTable::draw | ( | const librevenge::RVNGPropertyList & | tableProps,
|  | IWORKOutputElements & | elements
| ) |  |

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultCellStyle | ( | unsigned | column,
|  | unsigned | row
| ) |  | const

Referenced by draw().

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultLayoutStyle | ( | unsigned | column,
|  | unsigned | row
| ) |  | const

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultParagraphStyle | ( | unsigned | column,
|  | unsigned | row
| ) |  | const

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultStyle | ( | unsigned | column,
|  | unsigned | row,
|  | const IWORKStylePtr_t * | group
| ) |  | const
| private

Referenced by getDefaultCellStyle(), getDefaultLayoutStyle(), and getDefaultParagraphStyle().

const boost::shared_ptr< IWORKTableRecorder > & libetonyek::IWORKTable::getRecorder | ( |  | ) | const

void libetonyek::IWORKTable::insertCell | ( | unsigned | column,
|  | unsigned | row,
|  | const boost::optional< std::string > & | value = `boost::none`,
|  | const boost::shared_ptr< IWORKText > & | text = `boost::shared_ptr<IWORKText>()`,
|  | unsigned | columnSpan = `1`,
|  | unsigned | rowSpan = `1`,
|  | const boost::optional< IWORKFormula > & | formula = `boost::none`,
|  | const IWORKStylePtr_t & | style = `IWORKStylePtr_t()`,
|  | IWORKCellType | type = `IWORK_CELL_TYPE_TEXT`
| ) |  |

void libetonyek::IWORKTable::insertCoveredCell | ( | unsigned | column,
|  | unsigned | row
| ) |  |

void libetonyek::IWORKTable::setBandedRows | ( | bool | banded = `true` | ) |

void libetonyek::IWORKTable::setBorders | ( | const IWORKGridLineList_t & | verticalLines,
|  | const IWORKGridLineList_t & | horizontalLines
| ) |  |

void libetonyek::IWORKTable::setDefaultCellStyle | ( | CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

void libetonyek::IWORKTable::setDefaultLayoutStyle | ( | CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

void libetonyek::IWORKTable::setDefaultParagraphStyle | ( | CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

void libetonyek::IWORKTable::setHeaders | ( | unsigned | headerColumns,
|  | unsigned | headerRows,
|  | unsigned | footerRows
| ) |  |

void libetonyek::IWORKTable::setRecorder | ( | const boost::shared_ptr< IWORKTableRecorder > & | recorder | ) |

void libetonyek::IWORKTable::setRepeated | ( | bool | columns,
|  | bool | rows
| ) |  |

void libetonyek::IWORKTable::setSize | ( | unsigned | columns,
|  | unsigned | rows
| ) |  |

void libetonyek::IWORKTable::setSizes | ( | const IWORKColumnSizes_t & | columnSizes,
|  | const IWORKRowSizes_t & | rowSizes
| ) |  |

void libetonyek::IWORKTable::setStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

bool libetonyek::IWORKTable::m_bandedRows
| private

Referenced by getDefaultStyle(), and setBandedRows().

unsigned libetonyek::IWORKTable::m_columns
| private

Referenced by setSize().

IWORKColumnSizes_t libetonyek::IWORKTable::m_columnSizes
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

IWORKStylePtr_t libetonyek::IWORKTable::m_defaultCellStyles[5]
| private

Referenced by getDefaultCellStyle(), and setDefaultCellStyle().

IWORKStylePtr_t libetonyek::IWORKTable::m_defaultLayoutStyles[5]
| private

Referenced by getDefaultLayoutStyle(), and setDefaultLayoutStyle().

IWORKStylePtr_t libetonyek::IWORKTable::m_defaultParaStyles[5]
| private

Referenced by getDefaultParagraphStyle(), and setDefaultParagraphStyle().

unsigned libetonyek::IWORKTable::m_footerRows
| private

Referenced by getDefaultStyle(), and setHeaders().

unsigned libetonyek::IWORKTable::m_headerColumns
| private

Referenced by getDefaultStyle(), and setHeaders().

bool libetonyek::IWORKTable::m_headerColumnsRepeated
| private

Referenced by setRepeated().

unsigned libetonyek::IWORKTable::m_headerRows
| private

Referenced by draw(), getDefaultStyle(), and setHeaders().

bool libetonyek::IWORKTable::m_headerRowsRepeated
| private

Referenced by setRepeated().

IWORKGridLineList_t libetonyek::IWORKTable::m_horizontalLines
| private

Referenced by draw(), and setBorders().

boost::shared_ptr<IWORKTableRecorder> libetonyek::IWORKTable::m_recorder
| private

Referenced by draw(), getRecorder(), insertCell(), insertCoveredCell(), setBandedRows(), setBorders(), setDefaultCellStyle(), setDefaultLayoutStyle(), setDefaultParagraphStyle(), setHeaders(), setRecorder(), setRepeated(), setSize(), setSizes(), and setStyle().

unsigned libetonyek::IWORKTable::m_rows
| private

Referenced by getDefaultStyle(), and setSize().

IWORKRowSizes_t libetonyek::IWORKTable::m_rowSizes
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

IWORKStylePtr_t libetonyek::IWORKTable::m_style
| private

Referenced by setStyle().

Table_t libetonyek::IWORKTable::m_table
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

const IWORKTableNameMapPtr_t libetonyek::IWORKTable::m_tableNameMap
| private

Referenced by draw().

IWORKGridLineList_t libetonyek::IWORKTable::m_verticalLines
| private

Referenced by draw(), and setBorders().

The documentation for this class was generated from the following files:

- IWORKTable.h
- IWORKTable.cpp